=== debian/changelog ===
node-bunyan (2.0.5+~cs4.4.2-1) unstable; urgency=medium

  ( lintian-brush ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * New upstream version 2.0.5+~cs4.4.2
  * Update test: use tap instead of nodeunit
  * Add dependency to node-mkdirp and node-rimraf (for node-mv)
  * Add fix for node-mkdirp ≥ 1

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Jan 2021 23:05:29 +0100

node-bunyan (2.0.4+~cs4.4.2-1) unstable; urgency=medium

  * Team puload
    Updates:
     + bunyan 2.0.4
    Really 2.0.4+~1.1.1+~2.1.1+~1.2.0
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Use uscan checksum
  * New upstream version 2.0.4+~cs4.4.2
  * Install all components in root directories
  * Install bunyan binary link
  * Refresh patches
  * Update docs
  * Update lintian overrides to ignore a lintian bug
  * Install exeunt examples

 -- Xavier Guimard <yadd@debian.org>  Fri, 16 Oct 2020 07:54:11 +0200

node-bunyan (2.0.2-2) unstable; urgency=medium

  * Team upload.
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Oct 2020 01:32:53 -0400

node-bunyan (2.0.2-1) unstable; urgency=low

  * Initial release (Closes: #902062)

 -- Xavier Guimard <yadd@debian.org>  Sun, 26 Apr 2020 22:18:35 +0200
