=== debian/control ===
Source: node-bunyan
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-mkdirp <!nocheck>
 , node-moment <!nocheck>
 , node-ncp <!nocheck>
 , node-rimraf <!nocheck>
 , node-tap <!nocheck>
 , node-vasync <!nocheck>
 , node-verror <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-bunyan
Vcs-Git: https://salsa.debian.org/js-team/node-bunyan.git
Homepage: https://github.com/trentm/node-bunyan#readme
Rules-Requires-Root: no

Package: node-bunyan
Architecture: all
Depends:
 ${misc:Depends}
 , node-dtrace-provider
 , node-mkdirp (>= 1)
 , node-moment
 , node-ncp
 , node-rimraf
 , nodejs
Provides: bunyan, ${nodejs:Provides}
Description: simple and fast JSON logging library for node.js services
 bunyan structures server logs in JSON format.
 .
 Node.js is an event-based server-side JavaScript engine.
