=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-bunyan-$1.tar.gz/ \
 https://github.com/trentm/node-bunyan/releases .*/archive/v?([\d\.]+).tar.gz group

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=exeunt,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-safe-json-stringify-$1.tar.gz/ \
 https://github.com/joyent/node-exeunt/releases .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=mv,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mv-$1.tar.gz/ \
 https://github.com/andrewrk/node-mv/releases .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=safejsonstringify,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-safe-json-stringify-$1.tar.gz/ \
 https://github.com/debitoor/safe-json-stringify/releases .*/archive/v?([\d\.]+).tar.gz checksum
