=== debian/changelog ===
node-bunyan (2.0.5+~cs4.4.3-2) unstable; urgency=medium

  * Fix test for tap >= 15 (--no-cov) (Closes: #1009534)

 -- Yadd <yadd@debian.org>  Mon, 18 Apr 2022 07:46:33 +0200

node-bunyan (2.0.5+~cs4.4.3-1) unstable; urgency=medium

  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Update nodejs dependency to nodejs:any
  * Fix debian/watch: replace /releases by /tags
  * New upstream version 2.0.5+~cs4.4.3, updates exeunt 1.1.2
  * Update copyright
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 09:48:04 +0100
