=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: node-bunyan
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <yadd@debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
@@ -14,7 +14,7 @@
  , node-tap <!nocheck>
  , node-vasync <!nocheck>
  , node-verror <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-bunyan
 Vcs-Git: https://salsa.debian.org/js-team/node-bunyan.git
 Homepage: https://github.com/trentm/node-bunyan#readme
@@ -29,7 +29,7 @@
  , node-moment
  , node-ncp
  , node-rimraf
- , nodejs
+ , nodejs:any
 Provides: bunyan, ${nodejs:Provides}
 Description: simple and fast JSON logging library for node.js services
  bunyan structures server logs in JSON format.
