=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installexamples:
	dh_installexamples
	mkdir debian/node-bunyan/usr/share/doc/node-bunyan/examples/exeunt
	cp exeunt/examples/* debian/node-bunyan/usr/share/doc/node-bunyan/examples/exeunt/
	ln -s ../node-bunyan debian/node-bunyan/usr/share/doc/node-exeunt
	ln -s examples/exeunt debian/node-bunyan/usr/share/doc/node-bunyan/exeunt-examples
