=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bunyan-$1/ \
 https://github.com/trentm/node-bunyan/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=exeunt,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-safe-json-stringify-$1/ \
 https://github.com/joyent/node-exeunt/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=mv,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mv-$1/ \
 https://github.com/andrewrk/node-mv/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=safejsonstringify,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-safe-json-stringify-$1/ \
 https://github.com/debitoor/safe-json-stringify/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum
